org.kohsuke.stapler

## Class L10nProgress

- java.lang.Object
- - org.kohsuke.stapler.L10nProgress

    public class L10nProgress
    extends Object

Represents the progress of l10n effort.

Author:
  ssogabe
See Also:
  `http://d.hatena.ne.jp/ssogabe/20081213/1229175653`

### Nested Class Summary

Nested Classes
`class` `L10nProgress.HudsonMessages` Information per directory.

### Constructor Summary

Constructors
Constructor and Description
`L10nProgress()`

### Method Summary

Methods
`L10nProgress.HudsonMessages` `getTotal()` Gets the pseudo `L10nProgress.HudsonMessages` that represents the sum of all `messages`.
`void` `parse(Collection<File> dirs)`
`void` `parse(File dir)`
`void` `parseRecursively(File dir)` Parse the given directory and all its descendants.
`String` `toHatena()` Prints the result in the Hatena diary table format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### L10nProgress

    public L10nProgress()

### Method Detail

#### getTotal

    public L10nProgress.HudsonMessages getTotal()

Gets the pseudo `L10nProgress.HudsonMessages` that represents the sum of all `messages`.

#### toHatena

    public String toHatena()

Prints the result in the Hatena diary table format.

#### parse

    public void parse(File dir)

#### parse

    public void parse(Collection<File> dirs)

#### parseRecursively

    public void parseRecursively(File dir)

Parse the given directory and all its descendants.